#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 haskell-lsp-types
version:              0.24.0.0
visibility:           public
id:                   haskell-lsp-types-0.24.0.0-5fGJTgiuuwm5cQKgvHB1eI
key:                  haskell-lsp-types-0.24.0.0-5fGJTgiuuwm5cQKgvHB1eI
license:              MIT
copyright:            Alan Zimmerman, 2016-2020
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/alanz/haskell-lsp
synopsis:
    Haskell library for the Microsoft Language Server Protocol, data types

description:
    An implementation of the types to allow language implementors to
    support the Language Server Protocol for their specific language.

category:             Development
abi:                  ce42378ecb383cd4d203074257076556
exposed:              True
exposed-modules:
    Language.Haskell.LSP.Types Language.Haskell.LSP.Types.Capabilities
    Language.Haskell.LSP.Types.Constants
    Language.Haskell.LSP.Types.Lens
    Language.Haskell.LSP.Types.MessageFuncs
    Language.Haskell.LSP.Types.Utils

hidden-modules:
    Language.Haskell.LSP.Types.ClientCapabilities
    Language.Haskell.LSP.Types.CodeAction
    Language.Haskell.LSP.Types.Color Language.Haskell.LSP.Types.Command
    Language.Haskell.LSP.Types.Completion
    Language.Haskell.LSP.Types.DataTypesJSON
    Language.Haskell.LSP.Types.Diagnostic
    Language.Haskell.LSP.Types.DocumentFilter
    Language.Haskell.LSP.Types.FoldingRange
    Language.Haskell.LSP.Types.Hover Language.Haskell.LSP.Types.List
    Language.Haskell.LSP.Types.Location
    Language.Haskell.LSP.Types.MarkupContent
    Language.Haskell.LSP.Types.Message
    Language.Haskell.LSP.Types.Progress
    Language.Haskell.LSP.Types.Symbol
    Language.Haskell.LSP.Types.TextDocument
    Language.Haskell.LSP.Types.Uri Language.Haskell.LSP.Types.Window
    Language.Haskell.LSP.Types.WorkspaceEdit
    Language.Haskell.LSP.Types.WorkspaceFolders

import-dirs:          /usr/lib/ghc-9.0.2/site-local/haskell-lsp-types-0.24.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/haskell-lsp-types-0.24.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp0-types
hs-libraries:         HShaskell-lsp-types-0.24.0.0-5fGJTgiuuwm5cQKgvHB1eI
depends:
    aeson-1.5.6.0-2S2293OVHlT9T87tqO4MGE base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R
    deepseq-1.4.5.0 filepath-1.4.2.1
    hashable-1.4.0.1-BTNvM8tfYS9gMn15aJ88A
    lens-5.1-Gj7OMBYpWtY7Gg7vO2ef0v
    network-uri-2.6.4.1-4cKtDSNM05x87VGNxEdbBK
    scientific-0.3.7.0-LhrLJLv0l28JXo4lZ5SawQ text-1.2.5.0
    unordered-containers-0.2.18.0-5p1LkGNUihlGGE57L3Yn33

haddock-interfaces:
    /usr/share/doc/haskell-lsp0-types/html/haskell-lsp-types.haddock

haddock-html:         /usr/share/doc/haskell-lsp0-types/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

